<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{233,115,1022,650}</property>
    <property name="Name">[_kits.scr]</property>
    <property name="Caption">[Composicoes Cadastradas]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-16" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL zBlkPrd = {|nPcod| se_prod->(dbseek(nPcod)), se_prod->pdesc }
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
//hwg_TbMt(oToolbar,' 73;BrwComposicoes("imprimir_os");I-Imprime ;I-Imprime;impressora.jpg;;;;;&I-Imprime;;')
//hwg_TbMt(oToolbar,' 73;BrwComposicoes("imprimir");I-Imprime ;I-Imprime;impressora.jpg;;;;;&I-Imprime;;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
 
SET(5,1960)
CiSetKey( "VK_F2",'StartLocacao("informar_devolucao_de_item")',,,"F2:Informar Devolucao do Item")
//CiSetKey( "K_F3","BrwComposicoes('imprimir')",,,"F3:Retirar Item")

oBrwPnMv:Refresh()]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,620,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,96,996,299}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onPosChange">
      <![CDATA[oBrwPnMv:Refresh()]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:Alias := alias()
debugalert(' alias: '+ALIAS() )
hwg_TbFi(@d_ob, 'Devolvidas;mqDevol;N;999999;10;S;')
hwg_TbFi(@d_ob, 'Locadas;Quant;N;999999;6;N;')
hwg_TbFi(@d_ob, 'Descricao;eVal(zBlkPrd,Cod);C;@S35;35;N;')
hwg_TbFi(@d_ob, 'Pendentes;Quant-mqDevol;P;9999999;10;N;')
hwg_TbFi(@d_ob, 'Prod;Cod;N;999999;6;N;')

D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"_movnft",.F.,.T.,{||.T.} }
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{10,407,323,140}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">
[Tecle enter para informar a quantidade total devolvida de cada produto, depois tecle ESC para confirmar ou nao as quantidades devolvidas]      </property>
      <property name="Justify">[Right]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
    <method name="onClick">
      <![CDATA[StartLocacao("informar_devolucao_de_item")]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{409,4,419,68}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Devolucao de Produtos em Locacao]</property>
      <property name="Justify">[Right]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{348,399,660,159}</property>
      <property name="Name">[oBrwPnMv]</property>
      <property name="Anchor">6</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onInit">
      <![CDATA[DbSelectArea( '_movnf' )
oBrwPnMv:Alias := '_movnf'
oBrwPnMv:bColorSel:= RGB(3,23,133)
oBrwPnMv:tColorSel:= RGB(255,255,255)
hwg_TbFi(@oBrwPnMv, 'Prod;Cod;N;999999;6;;')
hwg_TbFi(@oBrwPnMv, 'Descricao;eVal(zBlkPrd,Cod);C;@S35;35;;')
hwg_TbFi(@oBrwPnMv, 'Quant;Quant;N;999999;6;;')
hwg_TbFi(@oBrwPnMv, 'Dias;pDiasLoca;N;999;3;;')
hwg_TbFi(@oBrwPnMv, 'LocMensal;pValLoca;N;999999.99;9;;')
hwg_TbFi(@oBrwPnMv, 'Aditivo;pfNum;N;999999999;9;;')
hwg_TbFi(@oBrwPnMv, 'Data e Hora;Dtoc(fDataEmi)+" "+left(fHora,5);P;@S16;16;;')
hwg_TbFi(@oBrwPnMv, 'Valor;PrTotal;N;999999.99;9;;')
oBrwPnMv:lFilter := .T.
oBrwPnMv:bFirst := {|| _movnf->( DBSEEK( _movnft->Cod, .F. ) ) } 
oBrwPnMv:bLast  := {|| _movnf->( DBSEEK( _movnft->Cod, .F., .T. ) ) }
oBrwPnMv:bWhile := {|| _movnf->Cod = _movnft->Cod }
oBrwPnMv:Refresh()
DbSelectArea( '_movnft' )]]>
    </method>
  </part>
</part>
